From 8330d3a871840772c1c3fca79a7543faf1fae60c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Aur=C3=A9lien=20G=C3=A2teau?= <agateau@kde.org>
Date: Thu, 6 Feb 2014 14:23:39 +0100
Subject: [PATCH 7/8] Gracefully handle situation where yapgvb is not installed

---
 src/kgenframeworksapidox | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/src/kgenframeworksapidox b/src/kgenframeworksapidox
index 0bf62b1..e684320 100755
--- a/src/kgenframeworksapidox
+++ b/src/kgenframeworksapidox
@@ -37,7 +37,11 @@ import sys
 import tempfile
 
 from kapidox import *
-from kapidox import depdiagram
+try:
+    from kapidox import depdiagram
+    DEPDIAGRAM_AVAILABLE = True
+except ImportError:
+    DEPDIAGRAM_AVAILABLE = False
 
 def get_tier(yaml_file):
     """Parse the tier out of a yaml file"""
@@ -177,6 +181,10 @@ def main():
             help='Do not delete temporary dirs, useful for debugging.')
     args = parser.parse_args()
 
+    if args.dependency_diagrams and not DEPDIAGRAM_AVAILABLE:
+        print('ERROR: You need to install the yapgvb Python module to generate dependency diagrams.\nSee <http://code.google.com/p/yapgvb/>.')
+        exit(1)
+
     doxdatadir = find_doxdatadir_or_exit(args.doxdatadir)
     tagfiles = search_for_tagfiles(
             suggestion = args.qtdoc_dir,
-- 
1.8.3.2

